package com.ccnode.codegenerator.dom.model;

package .tmp;

import com.ccnode.codegenerator.dom.model.Choose;
import com.ccnode.codegenerator.dom.model.Foreach;
import com.ccnode.codegenerator.dom.model.If;
import com.ccnode.codegenerator.dom.model.Include;
import com.ccnode.codegenerator.dom.model.Set;
import com.ccnode.codegenerator.dom.model.Trim;
import com.ccnode.codegenerator.dom.model.Where;
import com.intellij.util.xml.DomElement;
import com.intellij.util.xml.SubTagList;
import java.util.List;
import org.jetbrains.annotations.NotNull;

public interface GroupOne extends DomElement {
  @SubTagList("include")
  @NotNull
  List<Include> getIncludes();
  
  @SubTagList("trim")
  @NotNull
  List<Trim> getTrims();
  
  @SubTagList("where")
  @NotNull
  List<Where> getWheres();
  
  @SubTagList("set")
  @NotNull
  List<Set> getSets();
  
  @SubTagList("foreach")
  @NotNull
  List<Foreach> getForeachs();
  
  @SubTagList("choose")
  @NotNull
  List<Choose> getChooses();
  
  @SubTagList("if")
  @NotNull
  List<If> getIfs();
}
